> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an agent billing plan

> Removes a plan nothing is on. Refuses with a 409 (`plan_in_use`) while any customer's billing policy still references it. Deleting a plan that does not exist is a 404.



## OpenAPI

````yaml delete /v1/agents/plans/{plan_id}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/agents/plans/{plan_id}:
    delete:
      tags:
        - Agents
      summary: Delete an agent billing plan
      description: >-
        Removes a plan nothing is on. Refuses with a 409 (`plan_in_use`) while
        any customer's billing policy still references it. Deleting a plan that
        does not exist is a 404.
      operationId: deleteAgentPlan
      parameters:
        - schema:
            type: string
          required: true
          name: plan_id
          in: path
      responses:
        '204':
          description: ''
        '404':
          description: Plan not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````